#### TRANSLATE

#### Synopsis

    HELP:   Turns translation of original data on
    TYPE:   STRING
    SYNTAX: TRANSLATE/TRA='str'/E/A/A/E/NONE

#### Description

This parameter causes the codes for data in the original file to be translated prior to the compression procedure or those for the data in the decompressed file to be translated after the decompression procedure.

If parameter `translate` is specified for the compression procedure, every record in the original file is translated according to the specified code table before it is buffered in the matrix buffer. During the decompression procedure, this specification causes every decompressed record to be translated according to the code table before it is inserted in the decompressed file.

For UNIX only:
When FLAM is installed, code tables for converting from ASCII to EBCDIC and from EBCDIC to ASCII are made available as standard. If one of the code tables in the default value file is to be used, the following specifications are necessary:

- a/e to convert from ASCII to EBCDIC
- e/a to convert from EBCDIC to ASCII

For WINDOWS only:
If a specific table is used for translation, it must be specified with `codetable=table` (see also parameter CODETABLE). Otherwise, the default table is used (see also parameter HELP for a list).

Syntax restrictions for FLAMv4 or older:

- z/OS
  - `TRANSLATE=<translation option>`
  - `TRA=<translation option>`
- UNIX
  - `-translate=code table`
- WINDOWS
  - `translate=translation option`
  - `tra=translation option`

Values

- z/OS
  - `E/A` - Converts EBCDIC to ASCII.
  - `A/E` - Converts ASCII to EBCDIC.
  - `TRE2A00` - Converts IMB273 to ISO 8859-1.
  - `TRA2E00` - Converts ISO 8859-1 to IBM273.
  - `name` - Name of a data module (1-8 characters) that contains a 256 byte table for code conversion.
    - Note: The specified table is loaded dynamically.
      Code conversion may be necessary for file transfer between heterogeneous systems. It can be performed on any system, but it is recommended to do it on the target system, since FLAM already contains the necessary conversion tables for that system. Many translation tables will be found on our home page: Flam4-Translation Tables
- UNIX
  - `a/e` - conversion from ASCII to EBCDIC
  - `e/a` - conversion from EBCDIC to ASCII
- WINDOWS
  - `none` - no conversion.
  - `a/e` - conversion from ASCII to EBCDIC.
  - `e/a` - conversion from EBCDIC to ASCII.
    - Note: If a specific table is used for translation, it must be specified with `codetable=table` (see parameter CODETABLE) otherwise the default table is used (see parameter HELP for a list).

Default

- no code conversion

Valid for

- compression
- decompression

#### Selections

- `E/A - conversion from EBCDIC to ASCII`
- `A/E - conversion from ASCII to EBCDIC`
- `NONE - no conversion`